---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.5"
  version: 8100020250514123147
  context: 9edba152
  arch: x86_64
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-irb
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: b4a187f26595662ddf8ec23bc9e6f626452ac319
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: ec09df5865ea28b045334cecd28babe9ebaddbef
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: 02815315039cb59679efd5b4363bc7120c6b5e02
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-bundler:
        rationale: Library and utilities to manage a Ruby application's gem dependencies
        ref: f4f7c430d3df3c23102ed143c7605e3bc8127691
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: d6c8c2cb4c6be4c932b35b7c219ea90d4ec2ebc1
        buildorder: 103
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: 1ffaf5cf91c3f060511707b224f5ea5acee95166
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: 69aff5f8b239d924ea43d15ac388025238f13a20
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - ruby-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.src
    - ruby-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - ruby-debuginfo-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-debuginfo-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - ruby-debugsource-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-debugsource-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - ruby-devel-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-devel-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - ruby-doc-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.noarch
    - ruby-irb-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.noarch
    - ruby-libs-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-libs-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - ruby-libs-debuginfo-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.i686
    - ruby-libs-debuginfo-0:2.5.9-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-abrt-0:0.3.0-4.module_el8.10.0+3871+342e2c2f.noarch
    - rubygem-abrt-0:0.3.0-4.module_el8.10.0+3871+342e2c2f.src
    - rubygem-abrt-doc-0:0.3.0-4.module_el8.10.0+3871+342e2c2f.noarch
    - rubygem-bigdecimal-0:1.3.4-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-bigdecimal-0:1.3.4-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-bigdecimal-debuginfo-0:1.3.4-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-bigdecimal-debuginfo-0:1.3.4-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-bson-0:4.3.0-2.module_el8.5.0+2625+ec418553.src
    - rubygem-bson-0:4.3.0-2.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-bson-debuginfo-0:4.3.0-2.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-bson-debugsource-0:4.3.0-2.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-bson-doc-0:4.3.0-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-bundler-0:1.16.1-5.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-bundler-0:1.16.1-5.module_el8.10.0+3991+5e651d4e.src
    - rubygem-bundler-doc-0:1.16.1-5.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-did_you_mean-0:1.2.0-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-io-console-0:0.4.6-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-io-console-0:0.4.6-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-io-console-debuginfo-0:0.4.6-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-io-console-debuginfo-0:0.4.6-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-json-0:2.1.0-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-json-0:2.1.0-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-json-debuginfo-0:2.1.0-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-json-debuginfo-0:2.1.0-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-minitest-0:5.10.3-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-mongo-0:2.5.1-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-mongo-0:2.5.1-2.module_el8.5.0+2625+ec418553.src
    - rubygem-mongo-doc-0:2.5.1-2.module_el8.5.0+2625+ec418553.noarch
    - rubygem-mysql2-0:0.4.10-4.module_el8.5.0+259+8cec6917.src
    - rubygem-mysql2-0:0.4.10-4.module_el8.5.0+2625+ec418553.src
    - rubygem-mysql2-0:0.4.10-4.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-mysql2-debuginfo-0:0.4.10-4.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-mysql2-debugsource-0:0.4.10-4.module_el8.5.0+2625+ec418553.x86_64
    - rubygem-mysql2-doc-0:0.4.10-4.module_el8.5.0+2625+ec418553.noarch
    - rubygem-net-telnet-0:0.1.1-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-openssl-0:2.1.2-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-openssl-0:2.1.2-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-openssl-debuginfo-0:2.1.2-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-openssl-debuginfo-0:2.1.2-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-pg-0:1.0.0-3.module_el8.9.0+3635+c6f99506.src
    - rubygem-pg-0:1.0.0-3.module_el8.9.0+3635+c6f99506.x86_64
    - rubygem-pg-debuginfo-0:1.0.0-3.module_el8.9.0+3635+c6f99506.x86_64
    - rubygem-pg-debugsource-0:1.0.0-3.module_el8.9.0+3635+c6f99506.x86_64
    - rubygem-pg-doc-0:1.0.0-3.module_el8.9.0+3635+c6f99506.noarch
    - rubygem-power_assert-0:1.1.1-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-psych-0:3.0.2-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-psych-0:3.0.2-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-psych-debuginfo-0:3.0.2-114.module_el8.10.0+3991+5e651d4e.i686
    - rubygem-psych-debuginfo-0:3.0.2-114.module_el8.10.0+3991+5e651d4e.x86_64
    - rubygem-rake-0:12.3.3-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-rdoc-0:6.0.1.1-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-test-unit-0:3.2.7-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygem-xmlrpc-0:0.3.0-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygems-0:2.7.6.3-114.module_el8.10.0+3991+5e651d4e.noarch
    - rubygems-devel-0:2.7.6.3-114.module_el8.10.0+3991+5e651d4e.noarch
...
